"""CERN Firstboot category module"""
from pyanaconda.ui.categories import SpokeCategory

N_ = lambda x: x

__all__ = ["CernCategory"]

class CernCategory(SpokeCategory):
    """
    Class for the Firstboot Cern category. Category groups related spokes
    together. Both logically and visually (creates a box on a hub). It
    references a class of the hub it is supposed to be placed on. On the
    other hand spokes reference a class of the category they should be
    included in.

    """
    displayOnHubGUI = "SummaryHub"
    displayOnHubTUI = "SummaryHub"
    title = N_("CERN")